Page MenuHomePhabricator

Message for API error when publishing: invalidtitle
Closed, ResolvedPublic

Description

Fix UI error message when publish and API return invalidtitle error : {"error\":{"code":"invalidtitle","info":"Bad title \"tttt'rzzr|rerr(st\".","*":"..."}

Event Timeline

Framawiki renamed this task from publish API error: invalidtitle to API error when publishing: invalidtitle.Feb 25 2017, 7:18 PM
Framawiki renamed this task from API error when publishing: invalidtitle to Messgae for API error when publishing: invalidtitle.
Nikerabbit renamed this task from Messgae for API error when publishing: invalidtitle to Message for API error when publishing: invalidtitle.Feb 25 2017, 7:22 PM
Nikerabbit added a subscriber: Nikerabbit.

Can you clarify what should be changed?

Change 339839 had a related patch set uploaded (by Framawiki):
DON'T MERGE: UI: message for API error when publishing: invalidtitle

https://gerrit.wikimedia.org/r/339839

Hello, currently API errors are directly printed, and users haven't readable errors messages. See parent task for context.

Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Mar 6 2017, 8:08 PM

This is currently shown as

A dedicated and translated error message would still be nice.

After the patch it looks like this:

Change 339839 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] UI message for API error when publishing: invalidtitle

https://gerrit.wikimedia.org/r/339839

Arrbee moved this task from Bugs to Oct-Dec 2017 on the ContentTranslation board.Oct 27 2017, 8:19 AM
Framawiki closed this task as Resolved.Nov 2 2017, 9:20 PM
Nikerabbit moved this task from QA to Done on the Language-2017-Oct-Dec board.Nov 7 2017, 7:04 AM